import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
type AspectRatioObjectFit = '-moz-initial' | 'contain' | 'cover' | 'fill' | 'inherit' | 'initial' | 'none' | 'revert-layer' | 'revert' | 'scale-down' | 'unset';
type AspectRatioRootVariants = Pick<BaseVariants, 'color' | 'variant'> & {
    flex?: boolean;
    maxHeight?: number | string;
    minHeight?: number | string;
    objectFit?: AspectRatioObjectFit;
    ratio?: number | string;
} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
        content?: ComponentProps<'div'>;
    };
};
type AspectRatioRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, AspectRatioRootVariants> & AspectRatioRootVariants;
export declare const AspectRatio: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, AspectRatioRootVariants> & Pick<BaseVariants, "color" | "variant"> & {
    flex?: boolean | undefined;
    maxHeight?: string | number | undefined;
    minHeight?: string | number | undefined;
    objectFit?: AspectRatioObjectFit | undefined;
    ratio?: string | number | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
        content?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
