import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
type PassingProps = Pick<ComponentProps<'img'>, 'alt' | 'src' | 'srcSet'>;
type AvatarRootVariants = BaseVariants & {} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
        img?: ComponentProps<'img'>;
        fallback?: ComponentProps<'svg'>;
    };
} & PassingProps;
type AvatarRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, AvatarRootVariants> & AvatarRootVariants;
export declare const Avatar: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, AvatarRootVariants> & BaseVariants & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
        img?: import("react").DetailedHTMLProps<import("react").ImgHTMLAttributes<HTMLImageElement>, HTMLImageElement> | undefined;
        fallback?: import("react").SVGProps<SVGSVGElement> | undefined;
    } | undefined;
} & PassingProps & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
