import type { ComponentProps, ForwardedRef, ReactNode } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
type ButtonRootVariants = BaseVariants & {
    className?: string;
    disabled?: boolean;
    endDecorator?: ReactNode;
    fullWidth?: boolean;
    loading?: boolean;
    loadingIndicator?: ReactNode;
    loadingPosition?: 'center' | 'start' | 'end';
    startDecorator?: ReactNode;
    value?: string;
} & {
    slotProps?: {
        root?: ComponentProps<'button'>;
        startDecorator?: ComponentProps<'span'>;
        endDecorator?: ComponentProps<'span'>;
        loadingIndicatorCenter?: ComponentProps<'span'>;
    };
};
type ButtonRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ButtonRootVariants> & ButtonRootVariants;
export declare const Button: <T extends keyof JSX.IntrinsicElements = "button">(props: Difference<DynamicComponentProps<T>, ButtonRootVariants> & BaseVariants & {
    className?: string | undefined;
    disabled?: boolean | undefined;
    endDecorator?: ReactNode;
    fullWidth?: boolean | undefined;
    loading?: boolean | undefined;
    loadingIndicator?: ReactNode;
    loadingPosition?: "end" | "start" | "center" | undefined;
    startDecorator?: ReactNode;
    value?: string | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> | undefined;
        startDecorator?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        endDecorator?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        loadingIndicatorCenter?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
