import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
export declare const ButtonGroupContext: import("react").Context<Partial<BaseVariants & {
    disabled?: boolean | undefined;
}>>;
export declare function buttonGroupRootVariants(props?: Pick<BaseVariants, 'color' | 'variant'> & {
    orientation?: 'horizontal' | 'vertical';
    flexibleButton?: boolean;
    connectedButton?: boolean;
}): string;
export type ButtonGroupRootVariants = BaseVariants & {
    buttonFlex?: number | string;
    disabled?: boolean;
    orientation?: 'horizontal' | 'vertical';
    spacing?: string;
} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
    };
};
type ButtonGroupRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ButtonGroupRootVariants> & ButtonGroupRootVariants;
export declare const ButtonGroup: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, ButtonGroupRootVariants> & BaseVariants & {
    buttonFlex?: string | number | undefined;
    disabled?: boolean | undefined;
    orientation?: "horizontal" | "vertical" | undefined;
    spacing?: string | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
