import type { ComponentProps, ForwardedRef, ReactNode } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
type PassingProps = Pick<ComponentProps<'input'>, 'checked' | 'defaultChecked' | 'disabled' | 'id' | 'onBlur' | 'onChange' | 'onFocus' | 'readOnly' | 'required'>;
type CheckboxRootVariants = BaseVariants & {
    checkedIcon?: ReactNode;
    disableIcon?: boolean;
    indeterminate?: boolean;
    indeterminateIcon?: ReactNode;
    label?: ReactNode;
    overlay?: boolean;
    uncheckedIcon?: ReactNode;
} & {
    slotProps?: {
        root?: ComponentProps<'span'>;
        checkbox?: ComponentProps<'span'>;
        action?: ComponentProps<'span'>;
        input?: ComponentProps<'input'>;
        label?: ComponentProps<'label'>;
    };
} & PassingProps;
type CheckboxRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, CheckboxRootVariants> & CheckboxRootVariants;
export declare const Checkbox: <T extends keyof JSX.IntrinsicElements = "span">(props: Difference<DynamicComponentProps<T>, CheckboxRootVariants> & BaseVariants & {
    checkedIcon?: ReactNode;
    disableIcon?: boolean | undefined;
    indeterminate?: boolean | undefined;
    indeterminateIcon?: ReactNode;
    label?: ReactNode;
    overlay?: boolean | undefined;
    uncheckedIcon?: ReactNode;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        checkbox?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        action?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        input?: import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> | undefined;
        label?: import("react").DetailedHTMLProps<import("react").LabelHTMLAttributes<HTMLLabelElement>, HTMLLabelElement> | undefined;
    } | undefined;
} & PassingProps & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
