import type { ComponentProps, ForwardedRef, ReactNode } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
type PassingProps = Pick<ComponentProps<'button'>, 'disabled' | 'onClick'>;
export declare const ChipContext: import("react").Context<{
    disabled?: boolean | undefined;
}>;
type ChipRootVariants = BaseVariants & {
    endDecorator?: ReactNode;
    startDecorator?: ReactNode;
} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
        label?: ComponentProps<'span'>;
        action?: ComponentProps<'button'>;
        startDecorator?: ComponentProps<'span'>;
        endDecorator?: ComponentProps<'span'>;
    };
} & PassingProps;
type ChipRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ChipRootVariants> & ChipRootVariants;
export declare const Chip: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, ChipRootVariants> & BaseVariants & {
    endDecorator?: ReactNode;
    startDecorator?: ReactNode;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
        label?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        action?: import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> | undefined;
        startDecorator?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        endDecorator?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
    } | undefined;
} & PassingProps & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
