import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
type ChipDeleteMouseEvent = Parameters<NonNullable<ComponentProps<'button'>['onClick']>>[0];
type ChipDeleteKeyboardEvent = Parameters<NonNullable<ComponentProps<'button'>['onKeyDown']>>[0];
type PassingProps = Pick<ComponentProps<'button'>, 'disabled' | 'onClick' | 'onKeyDown'>;
type ChipDeleteRootVariants = Pick<BaseVariants, 'color' | 'variant'> & {
    onDelete?: (e: ChipDeleteMouseEvent | ChipDeleteKeyboardEvent) => void;
} & {
    slotProps?: {
        root?: ComponentProps<'button'>;
    };
} & PassingProps;
type ChipDeleteRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ChipDeleteRootVariants> & ChipDeleteRootVariants;
export declare const ChipDelete: <T extends keyof JSX.IntrinsicElements = "button">(props: Difference<DynamicComponentProps<T>, ChipDeleteRootVariants> & Pick<BaseVariants, "color" | "variant"> & {
    onDelete?: ((e: ChipDeleteMouseEvent | ChipDeleteKeyboardEvent) => void) | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> | undefined;
    } | undefined;
} & PassingProps & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
