import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
type CircularProgressRootVariants = BaseVariants & {
    determinate?: boolean;
    thickness?: number;
    value?: number;
} & {
    slotProps?: {
        root?: ComponentProps<'span'>;
        svg?: ComponentProps<'svg'>;
        track?: ComponentProps<'circle'>;
        progress?: ComponentProps<'circle'>;
    };
};
type CircularProgressRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, CircularProgressRootVariants> & CircularProgressRootVariants;
export declare const CircularProgress: <T extends keyof JSX.IntrinsicElements = "span">(props: Difference<DynamicComponentProps<T>, CircularProgressRootVariants> & BaseVariants & {
    determinate?: boolean | undefined;
    thickness?: number | undefined;
    value?: number | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        svg?: import("react").SVGProps<SVGSVGElement> | undefined;
        track?: import("react").SVGProps<SVGCircleElement> | undefined;
        progress?: import("react").SVGProps<SVGCircleElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
