import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, GeneratorInput } from '../base/types';
type DividerRootVariants = {
    inset?: 'none' | 'context';
    orientation?: 'horizontal' | 'vertical';
} & {
    slotProps?: {
        root?: ComponentProps<'hr'>;
    };
};
type DividerRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, DividerRootVariants> & DividerRootVariants;
export declare const Divider: <T extends keyof JSX.IntrinsicElements = "hr">(props: Difference<DynamicComponentProps<T>, DividerRootVariants> & {
    inset?: "none" | "context" | undefined;
    orientation?: "horizontal" | "vertical" | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLHRElement>, HTMLHRElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
