import type { ComponentProps, ForwardedRef, ReactNode } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
export declare function iconButtonRootVariants(props?: BaseVariants & {
    isTailwind4?: boolean;
    /**
     * The explicit `size` provided to the component.
     */
    instanceSize?: BaseVariants['size'];
    visuallyDisabled?: boolean;
}): string;
type IconButtonRootVariants = BaseVariants & {
    className?: string;
    disabled?: boolean;
    loading?: boolean;
    loadingIndicator?: ReactNode;
    value?: string;
} & {
    slotProps?: {
        root?: ComponentProps<'button'>;
        loadingIndicator?: ComponentProps<'span'>;
    };
};
type IconButtonRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, IconButtonRootVariants> & IconButtonRootVariants;
export declare const IconButton: <T extends keyof JSX.IntrinsicElements = "button">(props: Difference<DynamicComponentProps<T>, IconButtonRootVariants> & BaseVariants & {
    className?: string | undefined;
    disabled?: boolean | undefined;
    loading?: boolean | undefined;
    loadingIndicator?: ReactNode;
    value?: string | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> | undefined;
        loadingIndicator?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
