import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
type LinearProgressRootVariants = BaseVariants & {
    determinate?: boolean;
    thickness?: number;
    value?: number;
} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
    };
};
type LinearProgressRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, LinearProgressRootVariants> & LinearProgressRootVariants;
export declare const LinearProgress: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, LinearProgressRootVariants> & BaseVariants & {
    determinate?: boolean | undefined;
    thickness?: number | undefined;
    value?: number | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
