import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
export declare const RowListContext: import("react").Context<boolean>;
export declare const WrapListContext: import("react").Context<boolean>;
export declare const NestedListContext: import("react").Context<string | boolean>;
export declare const GroupListContext: import("react").Context<"select" | "menu" | undefined>;
export declare const ComponentListContext: import("react").Context<string | undefined>;
type ListRootVariants = BaseVariants & {
    marker?: string;
    orientation?: 'horizontal' | 'vertical';
    wrap?: boolean;
} & {
    slotProps?: {
        root?: ComponentProps<'ul'>;
    };
};
type ListRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ListRootVariants> & ListRootVariants;
export declare const List: <T extends keyof JSX.IntrinsicElements = "ul">(props: Difference<DynamicComponentProps<T>, ListRootVariants> & BaseVariants & {
    marker?: string | undefined;
    orientation?: "horizontal" | "vertical" | undefined;
    wrap?: boolean | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLUListElement>, HTMLUListElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
