import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, GeneratorInput } from '../base/types.cjs';
type ListDividerRootVariants = {
    inset?: 'context' | 'gutter' | 'startDecorator' | 'startContent';
    orientation?: 'horizontal' | 'vertical';
} & {
    slotProps?: {
        root?: ComponentProps<'li'>;
    };
};
type ListDividerRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ListDividerRootVariants> & ListDividerRootVariants;
export declare const ListDivider: <T extends keyof JSX.IntrinsicElements = "li">(props: Difference<DynamicComponentProps<T>, ListDividerRootVariants> & {
    inset?: "startDecorator" | "context" | "gutter" | "startContent" | undefined;
    orientation?: "horizontal" | "vertical" | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").LiHTMLAttributes<HTMLLIElement>, HTMLLIElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
