import type { ComponentProps, ForwardedRef, ReactNode } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
type ListItemRootVariants = Pick<BaseVariants, 'color' | 'variant'> & {
    endAction?: ReactNode;
    nested?: boolean;
    startAction?: ReactNode;
    sticky?: boolean;
} & {
    slotProps?: {
        root?: ComponentProps<'li'>;
        startAction?: ComponentProps<'div'>;
        endAction?: ComponentProps<'div'>;
    };
};
type ListItemRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ListItemRootVariants> & ListItemRootVariants;
export declare const ListItem: <T extends keyof JSX.IntrinsicElements = "li">(props: Difference<DynamicComponentProps<T>, ListItemRootVariants> & Pick<BaseVariants, "color" | "variant"> & {
    endAction?: ReactNode;
    nested?: boolean | undefined;
    startAction?: ReactNode;
    sticky?: boolean | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").LiHTMLAttributes<HTMLLIElement>, HTMLLIElement> | undefined;
        startAction?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
        endAction?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
