import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
export declare const ListItemButtonOrientationContext: import("react").Context<"horizontal" | "vertical">;
type ListItemButtonRootVariants = Pick<BaseVariants, 'color' | 'variant'> & {
    autoFocus?: boolean;
    disabled?: boolean;
    orientation?: 'horizontal' | 'vertical';
    selected?: boolean;
} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
    };
};
type ListItemButtonRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ListItemButtonRootVariants> & ListItemButtonRootVariants;
export declare const ListItemButton: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, ListItemButtonRootVariants> & Pick<BaseVariants, "color" | "variant"> & {
    autoFocus?: boolean | undefined;
    disabled?: boolean | undefined;
    orientation?: "horizontal" | "vertical" | undefined;
    selected?: boolean | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
