import type { ComponentProps, ForwardedRef, Dispatch, SetStateAction } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
export declare const ListSubheaderContext: import("react").Context<Dispatch<SetStateAction<string>> | undefined>;
type ListSubheaderRootVariants = Pick<BaseVariants, 'color' | 'variant'> & {
    sticky?: boolean;
} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
    };
};
type ListSubheaderRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ListSubheaderRootVariants> & ListSubheaderRootVariants;
export declare const ListSubheader: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, ListSubheaderRootVariants> & Pick<BaseVariants, "color" | "variant"> & {
    sticky?: boolean | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
