import type { ComponentProps, ForwardedRef, ReactNode } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
type PassingProps = Pick<ComponentProps<'input'>, 'checked' | 'defaultChecked' | 'disabled' | 'id' | 'name' | 'onBlur' | 'onChange' | 'onFocus' | 'readOnly' | 'required' | 'value'>;
type RadioRootVariants = BaseVariants & {
    disableIcon?: boolean;
    label?: ReactNode;
    overlay?: boolean;
} & {
    slotProps?: {
        root?: ComponentProps<'span'>;
        radio?: ComponentProps<'span'>;
        icon?: ComponentProps<'span'>;
        action?: ComponentProps<'span'>;
        input?: ComponentProps<'input'>;
        label?: ComponentProps<'label'>;
    };
} & PassingProps;
type RadioRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, RadioRootVariants> & RadioRootVariants;
export declare const Radio: <T extends keyof JSX.IntrinsicElements = "span">(props: Difference<DynamicComponentProps<T>, RadioRootVariants> & BaseVariants & {
    disableIcon?: boolean | undefined;
    label?: ReactNode;
    overlay?: boolean | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        radio?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        icon?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        action?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        input?: import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> | undefined;
        label?: import("react").DetailedHTMLProps<import("react").LabelHTMLAttributes<HTMLLabelElement>, HTMLLabelElement> | undefined;
    } | undefined;
} & PassingProps & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
