import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
type PassingProps = Pick<ComponentProps<'input'>, 'defaultValue' | 'name' | 'onChange' | 'value'>;
export declare const RadioGroupContext: import("react").Context<Partial<Pick<BaseVariants, "size"> & {
    disableIcon?: boolean | undefined;
    overlay?: boolean | undefined;
} & PassingProps>>;
type RadioGroupRootVariants = BaseVariants & {
    disableIcon?: boolean;
    orientation?: 'horizontal' | 'vertical';
    overlay?: boolean;
} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
    };
} & PassingProps;
type RadioGroupRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, RadioGroupRootVariants> & RadioGroupRootVariants;
export declare const RadioGroup: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, RadioGroupRootVariants> & BaseVariants & {
    disableIcon?: boolean | undefined;
    orientation?: "horizontal" | "vertical" | undefined;
    overlay?: boolean | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & PassingProps & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
