import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, GeneratorInput } from '../base/types.cjs';
import type { TypographyLevel } from './Typography.cjs';
type SkeletonRootVariants = {
    animation?: 'pulse' | 'wave' | false;
    height?: number | string;
    level?: TypographyLevel;
    loading?: boolean;
    variant?: 'circular' | 'inline' | 'overlay' | 'rectangular' | 'text';
    width?: number | string;
} & {
    slotProps?: {
        root?: ComponentProps<'span'>;
    };
};
type SkeletonRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, SkeletonRootVariants> & SkeletonRootVariants;
export declare const Skeleton: <T extends keyof JSX.IntrinsicElements = "span">(props: Difference<DynamicComponentProps<T>, SkeletonRootVariants> & {
    animation?: false | "pulse" | "wave" | undefined;
    height?: string | number | undefined;
    level?: TypographyLevel | undefined;
    loading?: boolean | undefined;
    variant?: "text" | "overlay" | "inline" | "circular" | "rectangular" | undefined;
    width?: string | number | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
