import type { ForwardedRef, ReactNode } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
type StackRootVariants = BaseVariants & {
    direction?: 'row' | 'row-reverse' | 'column' | 'column-reverse';
    divider?: ReactNode;
    spacing?: string;
    useFlexGap?: boolean;
};
type StackRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, StackRootVariants> & StackRootVariants;
export declare const Stack: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, StackRootVariants> & BaseVariants & {
    direction?: "row" | "column" | "column-reverse" | "row-reverse" | undefined;
    divider?: ReactNode;
    spacing?: string | undefined;
    useFlexGap?: boolean | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
