import type { ComponentProps, ForwardedRef, ReactNode } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
type PassingProps = Pick<ComponentProps<'input'>, 'checked' | 'defaultChecked' | 'disabled' | 'id' | 'onBlur' | 'onChange' | 'onFocus' | 'readOnly' | 'required'>;
type SwitchRootVariants = BaseVariants & {
    endDecorator?: ReactNode;
    startDecorator?: ReactNode;
} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
        action?: ComponentProps<'div'>;
        input?: ComponentProps<'input'>;
        track?: ComponentProps<'span'>;
        thumb?: ComponentProps<'span'>;
        startDecorator?: ComponentProps<'span'>;
        endDecorator?: ComponentProps<'span'>;
    };
} & PassingProps;
type SwitchRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, SwitchRootVariants> & SwitchRootVariants;
export declare const Switch: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, SwitchRootVariants> & BaseVariants & {
    endDecorator?: ReactNode;
    startDecorator?: ReactNode;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
        action?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
        input?: import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> | undefined;
        track?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        thumb?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        startDecorator?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
        endDecorator?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
    } | undefined;
} & PassingProps & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
