import type { ComponentProps, ForwardedRef, ReactNode } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
type PassingProps = Pick<ComponentProps<'textarea'>, 'autoComplete' | 'autoFocus' | 'defaultValue' | 'disabled' | 'id' | 'name' | 'onBlur' | 'onChange' | 'onClick' | 'onFocus' | 'onKeyDown' | 'onKeyUp' | 'placeholder' | 'readOnly' | 'required' | 'value'>;
type TextareaRootVariants = BaseVariants & {
    className?: string;
    endDecorator?: ReactNode;
    error?: boolean;
    maxRows?: number;
    minRows?: number;
    startDecorator?: ReactNode;
} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
        textarea?: ComponentProps<'textarea'>;
        startDecorator?: ComponentProps<'div'>;
        endDecorator?: ComponentProps<'div'>;
    };
} & PassingProps;
type TextareaRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, TextareaRootVariants> & TextareaRootVariants;
export declare const Textarea: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, TextareaRootVariants> & BaseVariants & {
    className?: string | undefined;
    endDecorator?: ReactNode;
    error?: boolean | undefined;
    maxRows?: number | undefined;
    minRows?: number | undefined;
    startDecorator?: ReactNode;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
        textarea?: import("react").DetailedHTMLProps<import("react").TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement> | undefined;
        startDecorator?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
        endDecorator?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & PassingProps & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
