import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
import type { ButtonGroupRootVariants } from './ButtonGroup';
type ToggleButtonGroupValue = string | string[] | null;
type ToggleButtonGroupControlProps<V extends ToggleButtonGroupValue | undefined = undefined> = {
    value?: V;
    onChange?: (event: ChildButtonMouseEvent, value: V extends undefined ? unknown : V extends (infer S)[] ? S[] : V | null) => void;
};
type ChildButtonMouseEvent = Parameters<NonNullable<ComponentProps<'button'>['onClick']>>[0];
export declare const ToggleButtonGroupContext: import("react").Context<Partial<{
    value: ToggleButtonGroupValue;
    onClick?: ((event: ChildButtonMouseEvent, childValue?: string) => void) | undefined;
}>>;
type ToggleButtonGroupRootVariants<V extends ToggleButtonGroupValue | undefined> = ButtonGroupRootVariants & ToggleButtonGroupControlProps<V>;
type ToggleButtonGroupRootProps<T extends ReactTags, V extends ToggleButtonGroupValue | undefined> = Difference<DynamicComponentProps<T>, ToggleButtonGroupRootVariants<V>> & ToggleButtonGroupRootVariants<V>;
export declare const ToggleButtonGroup: <T extends keyof JSX.IntrinsicElements = "div", V extends ToggleButtonGroupValue | undefined = undefined>(props: Difference<DynamicComponentProps<T>, ToggleButtonGroupRootVariants<V>> & BaseVariants & {
    buttonFlex?: string | number | undefined;
    disabled?: boolean | undefined;
    orientation?: "horizontal" | "vertical" | undefined;
    spacing?: string | undefined;
} & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & ToggleButtonGroupControlProps<V> & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
